---
title: Filter Effects
slug: Web/CSS/Filter_Effects
tags:
  - CSS
  - Filter Effects
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>Filter Effects</strong> is a module of CSS that defines a way of processing an element’s rendering before it is displayed in the document.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("backdrop-filter")}}</li>
 <li>{{cssxref("filter")}}</li>
</ul>
</div>

<h3 id="Data_types">Data types</h3>

<div class="index">
<ul>
 <li>{{cssxref("&lt;filter-function&gt;")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#FilterProperty', 'filter') }}</td>
   <td>{{ Spec2('Filters 1.0') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="backdrop-filter_property"><code>backdrop-filter</code> property</h3>

<p>{{Compat("css.properties.backdrop-filter")}}</p>

<h3 id="filter_property"><code>filter</code> property</h3>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.filter")}}</p>
